Package org.apache.sling.starter.testservices.exported

# Class FakeSlingHttpServletRequest

java.lang.Object
org.apache.sling.starter.testservices.exported.FakeSlingHttpServletRequest

All Implemented Interfaces:
  `javax.servlet.http.HttpServletRequest`, `javax.servlet.ServletRequest`

public class FakeSlingHttpServletRequest extends Object implements javax.servlet.http.HttpServletRequest

## Field Summary

### Fields inherited from interface javax.servlet.http.HttpServletRequest

`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

## Constructor Summary

Constructors
Constructor
Description
`FakeSlingHttpServletRequest(String pathInfo)`
`FakeSlingHttpServletRequest(String pathInfo, String httpMethod)`
`FakeSlingHttpServletRequest(String scheme, String host, int port, String pathInfo)`
`FakeSlingHttpServletRequest(String scheme, String host, int port, String pathInfo, String httpMethod)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`authenticate(javax.servlet.http.HttpServletResponse response)`
`String`
`changeSessionId()`
`javax.servlet.AsyncContext`
`getAsyncContext()`
`Object`
`getAttribute(String name)`
`Enumeration<String>`
`getAttributeNames()`
`String`
`getAuthType()`
`String`
`getCharacterEncoding()`
`int`
`getContentLength()`
`long`
`getContentLengthLong()`
`String`
`getContentType()`
`String`
`getContextPath()`
`javax.servlet.http.Cookie[]`
`getCookies()`
`long`
`getDateHeader(String name)`
`javax.servlet.DispatcherType`
`getDispatcherType()`
`String`
`getHeader(String name)`
`Enumeration<String>`
`getHeaderNames()`
`Enumeration<String>`
`getHeaders(String name)`
`javax.servlet.ServletInputStream`
`getInputStream()`
`int`
`getIntHeader(String name)`
`String`
`getLocalAddr()`
`Locale`
`getLocale()`
`Enumeration<Locale>`
`getLocales()`
`String`
`getLocalName()`
`int`
`getLocalPort()`
`String`
`getMethod()`
`String`
`getParameter(String name)`
`Map<String,String[]>`
`getParameterMap()`
`Enumeration<String>`
`getParameterNames()`
`String[]`
`getParameterValues(String name)`
`javax.servlet.http.Part`
`getPart(String name)`
`Collection<javax.servlet.http.Part>`
`getParts()`
`String`
`getPathInfo()`
`String`
`getPathTranslated()`
`String`
`getProtocol()`
`String`
`getQueryString()`
`BufferedReader`
`getReader()`
`String`
`getRealPath(String path)`
`String`
`getRemoteAddr()`
`String`
`getRemoteHost()`
`int`
`getRemotePort()`
`String`
`getRemoteUser()`
`javax.servlet.RequestDispatcher`
`getRequestDispatcher(String path)`
`String`
`getRequestedSessionId()`
`String`
`getRequestURI()`
`StringBuffer`
`getRequestURL()`
`String`
`getScheme()`
`String`
`getServerName()`
`int`
`getServerPort()`
`javax.servlet.ServletContext`
`getServletContext()`
`String`
`getServletPath()`
`javax.servlet.http.HttpSession`
`getSession()`
`javax.servlet.http.HttpSession`
`getSession(boolean create)`
`Principal`
`getUserPrincipal()`
`boolean`
`isAsyncStarted()`
`boolean`
`isAsyncSupported()`
`boolean`
`isRequestedSessionIdFromCookie()`
`boolean`
`isRequestedSessionIdFromUrl()`
`boolean`
`isRequestedSessionIdFromURL()`
`boolean`
`isRequestedSessionIdValid()`
`boolean`
`isSecure()`
`boolean`
`isUserInRole(String role)`
`void`
`login(String username, String password)`
`void`
`logout()`
`void`
`removeAttribute(String name)`
`void`
`setAttribute(String name, Object o)`
`void`
`setCharacterEncoding(String env)`
`void`
`setContextPath(String contextPath)`
`javax.servlet.AsyncContext`
`startAsync()`
`javax.servlet.AsyncContext`
`startAsync(javax.servlet.ServletRequest servletRequest, javax.servlet.ServletResponse servletResponse)`
`<T extends javax.servlet.http.HttpUpgradeHandler>
T`
`upgrade(Class<T> handlerClass)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.servlet.http.HttpServletRequest

`getHttpServletMapping, getTrailerFields, isTrailerFieldsReady, newPushBuilder`

## Constructor Details

### FakeSlingHttpServletRequest

public FakeSlingHttpServletRequest(String pathInfo)

### FakeSlingHttpServletRequest

public FakeSlingHttpServletRequest(String pathInfo, String httpMethod)

### FakeSlingHttpServletRequest

public FakeSlingHttpServletRequest(String scheme, String host, int port, String pathInfo)

### FakeSlingHttpServletRequest

public FakeSlingHttpServletRequest(String scheme, String host, int port, String pathInfo, String httpMethod)

## Method Details

### setContextPath

public void setContextPath(String contextPath)

### getPathInfo

public String getPathInfo()

Specified by:
  `getPathInfo` in interface `javax.servlet.http.HttpServletRequest`

### getAttribute

public Object getAttribute(String name)

Specified by:
  `getAttribute` in interface `javax.servlet.ServletRequest`

### getAttributeNames

public Enumeration<String> getAttributeNames()

Specified by:
  `getAttributeNames` in interface `javax.servlet.ServletRequest`

### getCharacterEncoding

public String getCharacterEncoding()

Specified by:
  `getCharacterEncoding` in interface `javax.servlet.ServletRequest`

### getContentLength

public int getContentLength()

Specified by:
  `getContentLength` in interface `javax.servlet.ServletRequest`

### getContentType

public String getContentType()

Specified by:
  `getContentType` in interface `javax.servlet.ServletRequest`

### getInputStream

public javax.servlet.ServletInputStream getInputStream()

Specified by:
  `getInputStream` in interface `javax.servlet.ServletRequest`

### getLocalAddr

public String getLocalAddr()

Specified by:
  `getLocalAddr` in interface `javax.servlet.ServletRequest`

### getLocalName

public String getLocalName()

Specified by:
  `getLocalName` in interface `javax.servlet.ServletRequest`

### getLocalPort

public int getLocalPort()

Specified by:
  `getLocalPort` in interface `javax.servlet.ServletRequest`

### getLocale

public Locale getLocale()

Specified by:
  `getLocale` in interface `javax.servlet.ServletRequest`

### getLocales

public Enumeration<Locale> getLocales()

Specified by:
  `getLocales` in interface `javax.servlet.ServletRequest`

### getParameter

public String getParameter(String name)

Specified by:
  `getParameter` in interface `javax.servlet.ServletRequest`

### getParameterMap

public Map<String,String[]> getParameterMap()

Specified by:
  `getParameterMap` in interface `javax.servlet.ServletRequest`

### getParameterNames

public Enumeration<String> getParameterNames()

Specified by:
  `getParameterNames` in interface `javax.servlet.ServletRequest`

### getParameterValues

public String[] getParameterValues(String name)

Specified by:
  `getParameterValues` in interface `javax.servlet.ServletRequest`

### getProtocol

public String getProtocol()

Specified by:
  `getProtocol` in interface `javax.servlet.ServletRequest`

### getReader

public BufferedReader getReader()

Specified by:
  `getReader` in interface `javax.servlet.ServletRequest`

### getRealPath

public String getRealPath(String path)

Specified by:
  `getRealPath` in interface `javax.servlet.ServletRequest`

### getRemoteAddr

public String getRemoteAddr()

Specified by:
  `getRemoteAddr` in interface `javax.servlet.ServletRequest`

### getRemoteHost

public String getRemoteHost()

Specified by:
  `getRemoteHost` in interface `javax.servlet.ServletRequest`

### getRemotePort

public int getRemotePort()

Specified by:
  `getRemotePort` in interface `javax.servlet.ServletRequest`

### getRequestDispatcher

public javax.servlet.RequestDispatcher getRequestDispatcher(String path)

Specified by:
  `getRequestDispatcher` in interface `javax.servlet.ServletRequest`

### getScheme

public String getScheme()

Specified by:
  `getScheme` in interface `javax.servlet.ServletRequest`

### getServerName

public String getServerName()

Specified by:
  `getServerName` in interface `javax.servlet.ServletRequest`

### getServerPort

public int getServerPort()

Specified by:
  `getServerPort` in interface `javax.servlet.ServletRequest`

### isSecure

public boolean isSecure()

Specified by:
  `isSecure` in interface `javax.servlet.ServletRequest`

### getContextPath

public String getContextPath()

Specified by:
  `getContextPath` in interface `javax.servlet.http.HttpServletRequest`

### removeAttribute

public void removeAttribute(String name)

Specified by:
  `removeAttribute` in interface `javax.servlet.ServletRequest`

### setAttribute

public void setAttribute(String name, Object o)

Specified by:
  `setAttribute` in interface `javax.servlet.ServletRequest`

### setCharacterEncoding

public void setCharacterEncoding(String env)

Specified by:
  `setCharacterEncoding` in interface `javax.servlet.ServletRequest`

### getAuthType

public String getAuthType()

Specified by:
  `getAuthType` in interface `javax.servlet.http.HttpServletRequest`

### getCookies

public javax.servlet.http.Cookie[] getCookies()

Specified by:
  `getCookies` in interface `javax.servlet.http.HttpServletRequest`

### getDateHeader

public long getDateHeader(String name)

Specified by:
  `getDateHeader` in interface `javax.servlet.http.HttpServletRequest`

### getHeader

public String getHeader(String name)

Specified by:
  `getHeader` in interface `javax.servlet.http.HttpServletRequest`

### getHeaderNames

public Enumeration<String> getHeaderNames()

Specified by:
  `getHeaderNames` in interface `javax.servlet.http.HttpServletRequest`

### getHeaders

public Enumeration<String> getHeaders(String name)

Specified by:
  `getHeaders` in interface `javax.servlet.http.HttpServletRequest`

### getIntHeader

public int getIntHeader(String name)

Specified by:
  `getIntHeader` in interface `javax.servlet.http.HttpServletRequest`

### getMethod

public String getMethod()

Specified by:
  `getMethod` in interface `javax.servlet.http.HttpServletRequest`

### getPathTranslated

public String getPathTranslated()

Specified by:
  `getPathTranslated` in interface `javax.servlet.http.HttpServletRequest`

### getQueryString

public String getQueryString()

Specified by:
  `getQueryString` in interface `javax.servlet.http.HttpServletRequest`

### getRemoteUser

public String getRemoteUser()

Specified by:
  `getRemoteUser` in interface `javax.servlet.http.HttpServletRequest`

### getRequestURI

public String getRequestURI()

Specified by:
  `getRequestURI` in interface `javax.servlet.http.HttpServletRequest`

### getRequestURL

public StringBuffer getRequestURL()

Specified by:
  `getRequestURL` in interface `javax.servlet.http.HttpServletRequest`

### getRequestedSessionId

public String getRequestedSessionId()

Specified by:
  `getRequestedSessionId` in interface `javax.servlet.http.HttpServletRequest`

### getServletPath

public String getServletPath()

Specified by:
  `getServletPath` in interface `javax.servlet.http.HttpServletRequest`

### getSession

public javax.servlet.http.HttpSession getSession()

Specified by:
  `getSession` in interface `javax.servlet.http.HttpServletRequest`

### getSession

public javax.servlet.http.HttpSession getSession(boolean create)

Specified by:
  `getSession` in interface `javax.servlet.http.HttpServletRequest`

### getUserPrincipal

public Principal getUserPrincipal()

Specified by:
  `getUserPrincipal` in interface `javax.servlet.http.HttpServletRequest`

### isRequestedSessionIdFromCookie

public boolean isRequestedSessionIdFromCookie()

Specified by:
  `isRequestedSessionIdFromCookie` in interface `javax.servlet.http.HttpServletRequest`

### isRequestedSessionIdFromURL

public boolean isRequestedSessionIdFromURL()

Specified by:
  `isRequestedSessionIdFromURL` in interface `javax.servlet.http.HttpServletRequest`

### isRequestedSessionIdFromUrl

public boolean isRequestedSessionIdFromUrl()

Specified by:
  `isRequestedSessionIdFromUrl` in interface `javax.servlet.http.HttpServletRequest`

### isRequestedSessionIdValid

public boolean isRequestedSessionIdValid()

Specified by:
  `isRequestedSessionIdValid` in interface `javax.servlet.http.HttpServletRequest`

### isUserInRole

public boolean isUserInRole(String role)

Specified by:
  `isUserInRole` in interface `javax.servlet.http.HttpServletRequest`

### getContentLengthLong

public long getContentLengthLong()

Specified by:
  `getContentLengthLong` in interface `javax.servlet.ServletRequest`

### getServletContext

public javax.servlet.ServletContext getServletContext()

Specified by:
  `getServletContext` in interface `javax.servlet.ServletRequest`

### startAsync

public javax.servlet.AsyncContext startAsync() throws IllegalStateException

Specified by:
  `startAsync` in interface `javax.servlet.ServletRequest`
Throws:
  `IllegalStateException`

### startAsync

public javax.servlet.AsyncContext startAsync(javax.servlet.ServletRequest servletRequest, javax.servlet.ServletResponse servletResponse) throws IllegalStateException

Specified by:
  `startAsync` in interface `javax.servlet.ServletRequest`
Throws:
  `IllegalStateException`

### isAsyncStarted

public boolean isAsyncStarted()

Specified by:
  `isAsyncStarted` in interface `javax.servlet.ServletRequest`

### isAsyncSupported

public boolean isAsyncSupported()

Specified by:
  `isAsyncSupported` in interface `javax.servlet.ServletRequest`

### getAsyncContext

public javax.servlet.AsyncContext getAsyncContext()

Specified by:
  `getAsyncContext` in interface `javax.servlet.ServletRequest`

### getDispatcherType

public javax.servlet.DispatcherType getDispatcherType()

Specified by:
  `getDispatcherType` in interface `javax.servlet.ServletRequest`

### changeSessionId

public String changeSessionId()

Specified by:
  `changeSessionId` in interface `javax.servlet.http.HttpServletRequest`

### authenticate

public boolean authenticate(javax.servlet.http.HttpServletResponse response) throws IOException, javax.servlet.ServletException

Specified by:
  `authenticate` in interface `javax.servlet.http.HttpServletRequest`
Throws:
  `IOException`
  `javax.servlet.ServletException`

### login

public void login(String username, String password) throws javax.servlet.ServletException

Specified by:
  `login` in interface `javax.servlet.http.HttpServletRequest`
Throws:
  `javax.servlet.ServletException`

### logout

public void logout() throws javax.servlet.ServletException

Specified by:
  `logout` in interface `javax.servlet.http.HttpServletRequest`
Throws:
  `javax.servlet.ServletException`

### getParts

public Collection<javax.servlet.http.Part> getParts() throws IOException, javax.servlet.ServletException

Specified by:
  `getParts` in interface `javax.servlet.http.HttpServletRequest`
Throws:
  `IOException`
  `javax.servlet.ServletException`

### getPart

public javax.servlet.http.Part getPart(String name) throws IOException, javax.servlet.ServletException

Specified by:
  `getPart` in interface `javax.servlet.http.HttpServletRequest`
Throws:
  `IOException`
  `javax.servlet.ServletException`

### upgrade

public <T extends javax.servlet.http.HttpUpgradeHandler> T upgrade(Class<T> handlerClass) throws IOException, javax.servlet.ServletException

Specified by:
  `upgrade` in interface `javax.servlet.http.HttpServletRequest`
Throws:
  `IOException`
  `javax.servlet.ServletException`